# Generated by Django 3.0.7 on 2020-06-22 21:10

import colorfield.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Ability',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=140, verbose_name='name')),
                ('created', models.DateTimeField(auto_now_add=True, help_text='Date time on which the object was created.', verbose_name='created at')),
                ('modified', models.DateTimeField(auto_now=True, help_text='Date time on which the object was last modified.', verbose_name='modified at')),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='Type',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=140, verbose_name='name')),
                ('color', colorfield.fields.ColorField(default='#FF0000', max_length=18, verbose_name='color')),
                ('created', models.DateTimeField(auto_now_add=True, help_text='Date time on which the object was created.', verbose_name='created at')),
                ('modified', models.DateTimeField(auto_now=True, help_text='Date time on which the object was last modified.', verbose_name='modified at')),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='Pokemon',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Name of the pokemon.', max_length=140, verbose_name='name')),
                ('image', models.CharField(help_text='Image of the pokemon.', max_length=250, verbose_name='image')),
                ('description', models.TextField(help_text='Short description of the pokemon.', verbose_name='description')),
                ('hp', models.IntegerField(help_text='Healthy Points.', verbose_name='hp')),
                ('attack', models.IntegerField(help_text='Attack Points.', verbose_name='attack')),
                ('sp_attack', models.IntegerField(help_text='The Base Attack of the Pokemon.', verbose_name='sp_attack')),
                ('experience_growth', models.IntegerField(help_text='The Experience Growth of the Pokemon.', verbose_name='experience_growth')),
                ('defense', models.IntegerField(help_text='Defense Points.', verbose_name='defense')),
                ('sp_defense', models.IntegerField(help_text='The Base Special Defense of the Pokemon.', verbose_name='sp_defense')),
                ('generation', models.IntegerField(help_text='The numbered generation which the Pokemon was first introduced.', verbose_name='generation')),
                ('pokedex_number', models.IntegerField(help_text='The entry number of the Pokemon in the National Pokedex.', verbose_name='pokedex_number')),
                ('abilities', models.CharField(help_text='A stringified list of abilities that the Pokemon is capable of having.', max_length=300, verbose_name='name')),
                ('strenght', models.FloatField(help_text='Strenght of the pokemon.', verbose_name='strenght')),
                ('legendary_percentage', models.FloatField(help_text='Strenght of the pokemon.', verbose_name='legendary_percentaje')),
                ('created', models.DateTimeField(auto_now_add=True, help_text='Date time on which the object was created.', verbose_name='created at')),
                ('modified', models.DateTimeField(auto_now=True, help_text='Date time on which the object was last modified.', verbose_name='modified at')),
                ('ability1', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pokemons_ability1', to='pokedex.Ability')),
                ('ability2', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pokemons_ability2', to='pokedex.Ability')),
                ('ability3', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pokemons_ability3', to='pokedex.Ability')),
                ('ability4', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pokemons_ability4', to='pokedex.Ability')),
                ('ability5', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pokemons_ability5', to='pokedex.Ability')),
                ('ability6', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pokemons_ability6', to='pokedex.Ability')),
                ('type1', models.ForeignKey(help_text='The first type of the pokemon.', on_delete=django.db.models.deletion.CASCADE, related_name='pokemons_type1', to='pokedex.Type')),
                ('type2', models.ForeignKey(help_text='The second type of the pokemon.', on_delete=django.db.models.deletion.CASCADE, related_name='pokemons_type2', to='pokedex.Type')),
            ],
            options={
                'ordering': ['-created', '-modified'],
                'get_latest_by': 'created',
            },
        ),
    ]
